function [val_joint_entropy]=joint_entropy(vector1,ranges_vec1,vector2,ranges_vec2)
    % vector1 y vector 2 son los vectores de valores
    % ranges_vec1 y ranges_vec2 son lo vectores que contienen el limite
    % superior para cada bin
    bins = 10;
    vector1_leng = length(vector1);
    val_j_entropy = 0;

    freq_joint = zeros(bins*bins,1);
    min_v1 = min(vector1); max_v1 = max(vector1);
    min_v2 = min(vector2); max_v2 = max(vector2);

    for i= 1:vector1_leng 
        %"find_bin" busca el indice del bin al que corresponde el valor
        bin_vector1 = find_bin(vector1(i),ranges_vec1,min_v1,max_v1,bins);
        bin_vector2 = find_bin(vector2(i),ranges_vec2,min_v2,max_v2,bins);
        %freq_joint(bin_vector1 + bin_vector2 *(bins-1)) = freq_joint(bin_vector1 + bin_vector2 *(bins-1))+1;
        freq_joint(bin_vector1 + (bin_vector2-1) *(bins)) = freq_joint(bin_vector1 + (bin_vector2-1) *(bins))+1;
    end

    leng_freq_join = length(freq_joint);
    joint_prob=zeros(bins*bins,1);

    for i=1:leng_freq_join
        joint_prob(i) = freq_joint(i)/vector1_leng;
        if (joint_prob(i) == 0)
            val_j_entropy = val_j_entropy;
        else
            calc = joint_prob(i) * log2(joint_prob(i));
            val_j_entropy = val_j_entropy - calc;
        end
    end;
    val_joint_entropy = val_j_entropy;
end
