function [val_mut_inf]=mut_inf(vector1,vector2)
    %calcula la informacion mutua entre vector1 y vector2
    bins = 10;
    %clculo de la entropia de los vectores
    [entropy_v1] = entropy(vector1);
    [entropy_v2] = entropy(vector2);

    %para el clculo para la entropia conjunta
    %"calculate_hist_ranges" devuelve un vector donde cada indice representa un bin y cada celda
    %contiene el limite superior de ese bin. Esto se usa para luego dado un
    %valor de alguno de los vectores encontrar en qu bin se localiza
    [hist_ranges_v1] = calculate_hist_ranges(vector1,bins); 
    [hist_ranges_v2] = calculate_hist_ranges(vector2,bins);

    j_ent = joint_entropy(vector1,hist_ranges_v1,vector2,hist_ranges_v2);

    val_mut_inf = entropy_v1 + entropy_v2 - j_ent;
   
end