function [hist_ranges]=calculate_hist_ranges(vector,nro_bins)
    min_val = min(vector);
    %max_val = max(vector);
    max_val = max(vector)+0.0005;
    range_vec = max_val - min_val;
    int_width = range_vec/nro_bins;
    
    hist_ranges = zeros(nro_bins,1);
    hist_ranges(1) = int_width + min_val;
    for i=2:nro_bins
        hist_ranges(i) = hist_ranges(i-1) + int_width;
    end
end